Subject: RE: [Simple] MSRP: Contributor ID

From: [email-masked]
Date: Thu, 12 Aug 2004 17:51:16 +0300

That's definitely conference policy and is outside the scope of MSRP.

/Hisham

> -----Original Message-----
> From: ext Cullen Jennings [mailto:[email-masked]]
> Sent: 12.August.2004 03:55
> To: Ben Campbell; Khartabil Hisham (Nokia-TP-MSW/Helsinki); 
> Orit Levin;
> Rohan Mahy; Chris Boulton; Adam Roach; Robert Sparks; Paul H Kyzivat
> Cc: [email-masked]
> Subject: Re: [Simple] MSRP: Contributor ID
> 
> 
> 
> Sounds like a reasonable idea to me. I think we would want to 
> add that if
> the user had requested Privacy either via the privacy header 
> or setting From
> to Anonymous then the contributor id should not be revealed 
> here. Even if
> the user authenticated via pins or something, the identity 
> should not be
> revealed here if the original call was private.
> 
> 
> On 8/9/04 11:27 AM, "Ben Campbell" <[email-masked]> wrote:
> 
> > Hi,
> > 
> > In last week's SIMPLE meeting, Orit brought up an issue about how we
> > planned to identify contributors when MSRP is used with a conference
> > focus. Previously, we had discussed using message/cpim wrappers for
> > this purpose.
> > 
> > After thinking through the use case, I think Orit may be 
> correct that
> > cpim is unwieldy for this purpose.
> > 
> > The use case I think we have in mind is, you have a text conference
> > where each participant has an independent MSRP session with the
> > conference focus. The focus acts as a reflector, forwarding messages
> > that come in on one participant session to each of the other
> > participants. It needs a way to tell the receiving parties which
> > participant sent the message. _How_ it determines what 
> contributor ID
> > to attach to a given message is out of scope for MSRP--that problem
> > belongs to XCON.
> > 
> > We had previously assumed the focus would simply wrap the inbound
> > message in a message/cpim document, and use the CPIM "from" 
> field for
> > this purpose. This, however, is problematic for chunked messages, as
> > the focus would need to buffer the message until it had received all
> > the chunks, wrap the completed message in the cpim 
> document, and then
> > send that message out to the other participants, possibly 
> re-chunking
> > in the process. This does seem to me to be burdensome on 
> the focus; it
> > would be nicer if the focus could simply forward the 
> individual chunks,
> > and let the endpoints deal with re-assembling them.
> > 
> > Another approach would be to have the focus force the 
> endpoints to use
> > a cpim envelope. However, there may be times where the identity that
> > the focus wants to insert may be different than the 
> identity that the
> > endpoint inserts.
> > 
> > Therefore, I propose we add a new optional header called
> > Contributor-ID, which can carry a name-addr. Normal endpoints would
> > never insert this, but a conference focus could insert this 
> header on a
> > per-chunk basis, and avoid the buffering requirement 
> mentioned above.
> > 
> > What do others think? Am I completely off base?
> > 
> > Thanks!
> > 
> > Ben. 
> > 
> > 
> > _______________________________________________
> > Simple mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/simple
> 
> 
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Cullen Jennings <[email-masked]>
Date: Thu, 12 Aug 2004 13:41:51 -0700

Uh, I don't think we should make this about XCON or conferencing. The use
case for this is that some time the message comes from a different person
than sent it - sure xcon is one example of that. This field allows a way to
specify who it originally came from. I would suspect that to pass IESG
security review the security section better be really clear on how this name
fields deals with issues of privacy, spoofing of identity, and who is
asserting it. My text was clearly inadequate but I look forward to reading
the security section around this. Saying the security portion of this is
somebody else's problem, in a different working groups, seems inadequate.

---

From: Ben Campbell <[email-masked]>
Date: Fri, 13 Aug 2004 13:34:34 -0500

It does not seem like we are converging on a consensus here. Let me 
back up a level:

I think we have one high-level decision to make before we can decide on 
the details. That is, how much effort do we intend to put into making 
sure that the MSRP core spec can support all likely conference 
scenarios?

The working group's previous consensus was to simply say that, if you 
need to carry this sort of information, use CPIM. We did not discuss 
questions about whether the sender uses cpim, or a focus wraps received 
messages in cpim before sending them out, etc. We did not discuss 
situations where different nodes have different ideas about what 
identity should be used.

The opposite extreme would be to make an effort to define all the 
conferencing use-cases we care about, and choose the mechanism that 
best fits. Now, this may be a good thing to do, but it would once again 
be a case of delaying the completion of MSRP because we decided to add 
significant new requirements at the last minute.

A middle ground would be to consider one or two very simple use cases, 
such as a single-focus, and maybe a single-focus where at least 
participant is crossing a cpim gateway from another protocol.

So, can we reach a consensus about which of these three approaches to 
take? Personally, I think lack of consensus on this point means we do 
nothing. Do the chairs have an opinion?